
<app-fw-home-ventas-totales [Total]="tTotalVenta" [Cantidad]="tCantidadVenta" [Empresa]="tEmpresaActual" [DatosBarra]="tDatosBarrasTipo"></app-fw-home-ventas-totales>
<div class="form-row pt-4">
  <div class="Ventas">
    <div class="Ventas--Cabecera">
      <div class="col-1"></div>
      <div class="col-6">
        <h6 class="Ventas--Cabecera-ColumnaEtiqueta">Venta</h6>
      </div>
      <div class="col-2">
        <h6 class="Ventas--Cabecera-ColumnaEtiqueta">Estatus</h6>
      </div>
      <div class="col-2">
        <h6 class="Ventas--Cabecera-ColumnaEtiqueta">Total</h6>
      </div>
      <div class="col-1"></div>
    </div>
    <div class="Ventas--Detalles">
      <ng-container *ngFor="let tVenta of tVentas | slice: (tPaginaVentas-1) * tTamanoPagVentas : (tPaginaVentas-1) * tTamanoPagVentas + tTamanoPagVentas; let jv = index">
        <app-fw-home-ventas-lista [Venta]="tVenta" [Empresa]="tEmpresaActual" (DescargarReporte)="Descargar_Reportes_Venta($event)"></app-fw-home-ventas-lista>
      </ng-container>
    </div>
    <div class="Ventas--Paginacion">
      <div class="col-12">
        <ngb-pagination class="d-flex justify-content-end" [collectionSize]="tVentas.length" [(page)]="tPaginaVentas" aria-label="Default pagination" [pageSize]="tTamanoPagVentas" size="sm"></ngb-pagination>
      </div>
    </div>
  </div>
</div>